library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity out_select is
    Port ( port_id : in std_logic_vector(7 downto 0);
           we : in std_logic;
           ce_leds : out std_logic;
           ce_7seg_0 : out std_logic;
           ce_7seg_1 : out std_logic;
           ce_7seg_2 : out std_logic;
           ce_7seg_3 : out std_logic);
end out_select;

architecture Behavioral of out_select is

begin

process (we, port_id)
begin
	if we ='1' then
	   case port_id is
	      when "00000001" =>     --01
	           ce_leds <= '1';
           	  ce_7seg_0 <= '0';
           	  ce_7seg_1 <= '0';
           	  ce_7seg_2 <= '0';
           	  ce_7seg_3 <= '0';
	      when "00010000" =>     --10
	           ce_leds <= '0';
           	  ce_7seg_0 <= '1';
           	  ce_7seg_1 <= '0';
           	  ce_7seg_2 <= '0';
           	  ce_7seg_3 <= '0';
	      when "00010001" =>     --11
	           ce_leds <= '0';
           	  ce_7seg_0 <= '0';
           	  ce_7seg_1 <= '1';
           	  ce_7seg_2 <= '0';
           	  ce_7seg_3 <= '0';
	      when "00010010" =>     --12
	           ce_leds <= '0';
           	  ce_7seg_0 <= '0';
           	  ce_7seg_1 <= '0';
           	  ce_7seg_2 <= '1';
           	  ce_7seg_3 <= '0';
	      when "00010011" =>     --13
	           ce_leds <= '0';
           	  ce_7seg_0 <= '0';
           	  ce_7seg_1 <= '0';
           	  ce_7seg_2 <= '0';
           	  ce_7seg_3 <= '1';
	      when others =>		  
	           ce_leds <= '0';
           	  ce_7seg_0 <= '0';
           	  ce_7seg_1 <= '0';
           	  ce_7seg_2 <= '0';
           	  ce_7seg_3 <= '0';
   	end case;
	else
        ce_leds <= '0';
     	  ce_7seg_0 <= '0';
     	  ce_7seg_1 <= '0';
     	  ce_7seg_2 <= '0';
     	  ce_7seg_3 <= '0';
 	end if;
end process;

end Behavioral;
