library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity sseg_control is
    Port ( clk : in std_logic;
           reg_7seg_0  : in std_logic_vector(7 downto 0);
           reg_7seg_1  : in std_logic_vector(7 downto 0);
           reg_7seg_2  : in std_logic_vector(7 downto 0);
           reg_7seg_3  : in std_logic_vector(7 downto 0);
			  ssel : out std_logic_vector(3 downto 0);
           sseg : out std_logic_vector(6 downto 0);
           dp : out std_logic );
end sseg_control;

architecture Behavioral of sseg_control is

signal COUNT: STD_LOGIC_VECTOR(21 downto 0);

begin
-- 50 MHz clock
process(clk)
begin
  if clk'event and clk = '1' then
    count <= count + 1;
   end if;
end process;

process (count)
begin
   case count(19 downto 18) is
      when "00" => sseg <= reg_7seg_0(6 downto 0); dp <= reg_7seg_0(7); ssel <= "0100";
      when "01" => sseg <= reg_7seg_1(6 downto 0); dp <= reg_7seg_1(7); ssel <= "1000";
      when "10" => sseg <= reg_7seg_2(6 downto 0); dp <= reg_7seg_2(7); ssel <= "0001";
	   when others => sseg <= reg_7seg_3(6 downto 0); dp <= reg_7seg_3(7); ssel <= "0010";
   end case;
end process;

end Behavioral;
